ObjectStorageS3KeyResponse
Successful response with one ObjectStorageS3Key
Always 0 in a successful response
0Always null in a successful response
data objectrequired
Resource returned by the operation
Id of the object storage (GET /api/v3/object-storages/{object_storage_id})
Id of the sub-account of the object storage, the account at the storage that holds its buckets and IAM users (not the account id of the storage)
Name of the sub-account at the storage
Id of the root user of the sub-account in the IAM service of the storage
ARN (Amazon Resource Name) of the root user of the sub-account, used in the policies (arn:aws:iam::<account>:root)
Access key ID, to use with secret_key in the S3 clients; null if the sub-account has no key saved
Secret of the key; null if the sub-account has no key saved
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"object_storage_id": 0,
"sub_account_id": 0,
"username": "string",
"user_id": "string",
"arn": "string",
"access_key": "string",
"secret_key": "string"
}
}